Bank Kalteng (Phase 2) - Bug #1203

[Budgeting] Budget Calulation tidak bisa Execute
06/04/2022 06:01 PM - Mega Yunita

Status: Closed Start date: 06/04/2022
Priority: Immediate Due date: 07/13/2022
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 63.10 hours
Description

Dear Mas Wanto,
Mohon bantuannya untuk menangani masalah yang terjadi, yaitu tidak dapat melakukan action Execute .

Port : http://103.168.134.28:31130/

Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev

Menu : HR Strategic > Budgeting > Budget Calculation
Semoga dapat dimengerti

Terimakasih

clipboard-202206041754-xozls.png

Related issues:
Copied from Bug #1202: [Budgeting Report] Report tidak tampil Closed 06/04/2022

06/07/2022

History

#1 - 06/04/2022 06:01 PM - Mega Yunita
- Copied from Bug #1202: [Budgeting Report] Report tidak tampil added

#2 - 06/04/2022 06:02 PM - Mega Yunita

- Status changed from New to Assigned

#3 - 06/04/2022 06:03 PM - Mega Yunita
- File deleted (clipboard-202206041754-xozls.png)

#4 - 06/04/2022 06:03 PM - Mega Yunita
- File clipboard-202206041803-w1w2v.png added
http://103.168.134.28:31130/

&« c ANolsecure| 103.168.134.28:31130/Page/BudgetCalculation? HrANS GScXVg AI9QEF8IISVPin3TO +2A0 Q 2 I = 0O

Human Resource  Business Ifftel

103.168.134.28:31130 says Search Q. teip i criesson ~

Ext.Ajax.reguest Failure

b Budget Calculatio

HOME = BUDGET GALCULATION

I HR Administration

Scenario Desc 0000000001 - Scenaric ) Object Type Employee
Start Date: Employee ID
01001/2018
From 10000169
Cost Center Budget Data End Date: 3111212018
Employee 10 To: 10000169

Employee Budget Data
Vacancy Budget Data

Budget Report

I Compensation

I Talent Management

I Training Management

Email Blast

LoadData Il Execute |
I Business Intelligence

Budget Result
I System Administration

Save Export

Start Da... End Date | CostObjectID Cost Object Type Scenar... Employee Group Company ID Cost Cent... CostEleme... Wage Ty... Amount Ba... I

No Data Display

#5 - 06/13/2022 09:54 AM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to Tri Rizqiaty

PERBAIKAN PADA FILE
.../app/controller/Budget/BudgetCalculationController.js
serviceName : 'BudgetDemo.asmx’,

DIRUBAH MENJADI

serviceName : 'Budget.asmx’,

tolong compile ulang API2

serviceName: Budget.asmx
methodName: calculatebudget

#6 - 06/29/2022 10:01 AM - Tri Rizqiaty

- File MinovalS.MinovaES.Business.Budget.dll added

- File BudgetCalculationController.js added

- File MinovalS.MinovaES.Web.Api.V.1.dll added

- File Parameter Report Budget.xlIsx added

- File SyncParameterReportBudget.sql added

- File Product_GetBudgetActual 20220620.sql added

- File Product_GetBudgetActualMonthly 20220621.sql added
- File Product_GetBudgetResultCompare_20220621.sql added
- File Product _GetBudgetSimulasi_20220621.sql added

- File PRPTBUACTCOM.rdl added

- Status changed from Assigned to Developing
Notes : Mohon di back up dulu, sebelum mengeksekusi perubahan

Fixing Calculate Budget :

1. Update Folder API12\bin : MinovalS.MinovaES.Business.Budget.dll , MinovalS.MinovaES.Web.Api.V.1.dll (File terlampir)
2. Update Folder UNapp\controller\Budget : BudgetCalculationController.js (File terlampir)

Fixing Report Budget :

1. Update parameter-paramter sesuai file excell terlampir
2. Execute SP terlampir
3. Deploy RDL terlampir

#7 - 06/29/2022 10:01 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test

#8 - 06/29/2022 10:01 AM - Tri Rizgiaty

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

#9 - 07/11/2022 11:33 AM - Kezia Pawitra Yulianti

- File clipboard-202207111125-dbk16.png added

- File clipboard-202207111126-gybty.png added

- File clipboard-202207111129-05xui.png added

- File clipboard-202207111131-ey6gy.png added

- Due date changed from 06/07/2022 to 07/12/2022

- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

- Priority changed from Urgent to Immediate

Dear Yomma,

berikut ya hasil test untuk budget:

A. Sudah sukses calculate budget untuk cost center namun terdapat bbrp catatat sbb:
- sudah bisa adjust nominal per bulan, namun total adjusted belum terupdate

L] 009 000 o.oo 0.0 .00 o.a0 ooo 0.0g 0.00 0o .00 Dod i)
o 0 009 ooa 0.00 0.00 oo o.ov oo 0.00 0.0 0.00 o.oa oo naa
o 0 009 LoD o.oo 0.0 .00 .00 oo 0.00 0.00 0o 200 LoD oo

00D 039 oo 0.03 0.00 aon o.on oo 0.03 0.0g 0.0d o.00 0od e
" - L " - " " " " - -
B 1070 80.000.00 BO0.000.00 BOLDO0.D3 2000000 2000000 B0.000.00  BR.OOD.0D B0.000.00 2000000 2000000  BQ.O00.00 | BO.O00.CD 1.070.000.00

— saat klik button save hasil calculate justru menghilang

Budget Result
==
-
font.. Total Amou. Adjus... Adjus... Adjus.. Adjus... Adjus. Adjus... Adjus... Adjus... Adjus... Adjus... Adju... Adjus... Total Adjustm... Notes

B. Sudah sukses calculate budget untuk employee, namun terdapat bbrp catatan sbb:
- hasil perhitungan msh belum sesuai, seharusnya prosentase kenaikan 10% dan ditambah amount increase. danyg terhitung hanya amount increase
Save Export

nya saja
Wage Ty.. Amount Ba.. P tage Increa.. Samdlint Incrya... New Amount New Ta.. - 5
1000 T200000 QD.EHJ ’ 300000 ] 1] 7.500.000.00

— sudah bisa adjust nominal per bulan, namun total adjusted tidak berubahn saat klik button update

Month 02 Month 03 Month 04 Month 05 Month 06 Month 07

.500,000.00 7.500.000.00 7.,500.000.00 7.500.000.00 7.500.000.00 7.500.000.00

Budget Result

Save Export

-

Total Amou..”y|  Adjust 01 Adjust 02 Adjust 03 Adjust 04 Adjust 05 Adjust 06 Adjust 07 Adjust 08 Adjust 09 Adjust 10 Adjust 11 Adjust 12 Total Adjug
20000000 8,500.000.00 | }500,000.00 7.500.000.00 7,500,000.00 7.500,000.00 7,500,000.00 7.500,000.00 7.500,000.00 7.500,000.00 7.500,000.00 7.500,000.00 7.500,000.00 80,000
—_— —
— saat klik button save hasil calculate sudah berhasil secara total

Untuk calculate by vacant position, akan menyusul yaa testing nya
Tks

#10 - 07/13/2022 11:32 AM - Kezia Pawitra Yulianti
- File clipboard-202207131130-qwqeg.png added
- Due date changed from 07/12/2022 to 07/13/2022

Dear Yomma,
sesuai diskusi, minta tolong untuk dapat ditambahkan calculate untuk vacant position ya

Budget Calculation

HOME > BUDGET CALCULATION

Budget Calculation

Scenario Dese: 0000000008 - Seenaric («) L Chject Type: Position
Start Date: ot/012023 Fosition: 00000008 - Pemimpin Kele ©
End Date. 311272023

Save Export

StartDa. | EndDate  CostObject|D | CostObjectTy.. | Scenar.. | Employee Group | CompanyID | CostCent. & CostEleme.. | WageTy. | A t Ba.. Increa.. | A th

Mo Data Display

Posisi yang sudah d tambahkan di position object detail adalah position ID 00000009 di tabel PHROMO0006 untuk field MidSalary

thanks Yoms

#11 - 07/20/2022 10:18 AM - Tri Rizqgiaty

- File BudgetCalculationController.js added

- File MinovalS.MinovaES.Business.Budget.dll added
- File clipboard-202207201017-uk4dg.png added

- File clipboard-202207201018-eirtz.png added

- File MinovaXtype.js added

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti
Fixing :

1. Update API2\bin : MinovalS.MinovaES.Business.Budget.dll (file terlampir)
2. Update Ul\app\controller\Budget : BudgetCalculationController.js (file terlampir)
Hren 10| Binew 1 63| Blnew 2 (3| Binew 2 3] B vew 4 63| Binew 5 63| Blnen 7 63| Elnew & 3| Blnew 8 3| Bl new 8 3| B Minovastype s £ [ BudgetCaloulationCortrolerjs B3 [Enew 12 (3

paramlList 4= ", ~
= if (vObiType == {
storeName = 'storePHE
e_grid.setHidden(true)
45 cc_grid.setHidden(false):
46 p_grid.setHidden (true);
47 var CostCenter = Ext.ComponentQuery.query(' [name=CoscCenter]') [0].getValue()
48 = if _{(CostCentey 1= "" LF Costlenter = pndefined) {
| paramlList 4= CostCenter +', '+CostCenter: //paramList += CostCenter //// edit by Tri nwh 20220712‘ ‘
H 1
//paramlList 4= " "
} else if (vObiType = 'F') {
storeName = 'storePHRBUOOO3';
e_grid.setHidden(true) ;
cc_grid.setEidden (true);
56 p_grid.setHidden(false):
57 var OrganizationlD = Ext.ComponentQuery.query (' [nams=Position] ") [0].getValus():
if (CrganizationID != "" && OrganizationID != undefined) {
ci.- paramlList += OrganizationID:
Z':_ r ;azan‘l_ist 4= ", "
63 } else if (vObjiType {
64 storeName = 'stor=FHREUOOC
65 e_grid.setHidden(false
(13 cc_grid.setHidden (true)
&7 p_grid.setHidden (true) ;
68 v;r EmployeeIDFrom = Ext.ComponentQuery.qguery (' [name=EmployesIDFrom] ') [0].getValue () ; A
3. Update\scripts : MinovaXtype.js (file terlampir)
[//vcype: 'validateDe
readOnly: ReadOnly_,
id: tableName + rec.FieldName,
nameTable: rec.TableMName,
fieldGrid: rec.FieldName,
fieldstytl?: 'text-align:right;’',
E Iiiz:ners { //// add by Tri nwh 20220711
change: funection (val, recs) {
var fvalue = val.getValue():
var custumfunc = rec.SelectFunction;
if (custumFunc.toLowerCase () .substring(C’, 2) == "fn') {
E Ext.Ajax.request ({
async: false,
method PO
url: "/ 1/GetStore',
E‘ params: {
tableName:
param: 'Fun ' + custumFunc + ',Active[=]1"
T,
=] success: function (response) |
var results = Ext.decode(response.responseText);
var dt = results.datal[C]:
= if (dt !'= undefined) {
custumFunc = dt.FunctionCode;
}
}
e
}
£ T {CusTumFuncy
eval {custumFunc)
}
}
}
}
1 i3] h
#12 - 08/15/2022 05:28 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Closed
done
Files
clipboard-202206041803-w1w2v.png 93.2 KB 06/04/2022 Mega Yunita
MinovalS.MinovaES.Business.Budget.dll 84 KB 06/29/2022 Tri Rizqgiaty
BudgetCalculationController.js 10.3 KB 06/29/2022 Tri Rizqiaty
MinovalS.MinovaES.Web.Api.V.1.dll 53.5 KB 06/29/2022 Tri Rizqgiaty
Parameter Report Budget.xlsx 15.7 KB 06/29/2022 Tri Rizqgiaty
SyncParameterReportBudget.sql 11.2 KB 06/29/2022 Tri Rizgiaty
Product_GetBudgetActual_20220620.sql 1.59 KB 06/29/2022 Tri Rizgiaty
Product_GetBudgetActualMonthly _20220621.sq]l 7.41 KB 06/29/2022 Tri Rizgiaty
Product_GetBudgetResultCompare_20220621.sq| 3.6 KB 06/29/2022 Tri Rizgiaty
Product_GetBudgetSimulasi_20220621.sql 4.81 KB 06/29/2022 Tri Rizgiaty
PRPTBUACTCOM.rdl 57.6 KB 06/29/2022 Tri Rizqgiaty
